/*
 * Copyright 2004, Alvaro del Castillo
 */

#ifndef __E_BOOK_BACKEND_OGO_H__
#define __E_BOOK_BACKEND_OGO_H__

#include <libedata-book/e-book-backend.h>

#define E_TYPE_BOOK_BACKEND_OGO        (e_book_backend_ogo_get_type ())
#define E_BOOK_BACKEND_OGO(o)          (G_TYPE_CHECK_INSTANCE_CAST ((o), E_TYPE_BOOK_BACKEND_OGO, EBookBackendOGo))
#define E_BOOK_BACKEND_OGO_CLASS(k)    (G_TYPE_CHECK_CLASS_CAST((k), E_TYPE_BOOK_BACKEND_OGO, EBookBackendOGoClass))
#define E_IS_BOOK_BACKEND_OGO(o)       (G_TYPE_CHECK_INSTANCE_TYPE ((o), E_TYPE_BOOK_BACKEND_OGO))
#define E_IS_BOOK_BACKEND_OGO_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), E_TYPE_BOOK_BACKEND_OGO))
#define E_BOOK_BACKEND_OGO_GET_CLASS(k) (G_TYPE_INSTANCE_GET_CLASS ((obj), E_TYPE_BOOK_BACKEND_OGO, EBookBackendOGoClass))

typedef struct _EBookBackendOGoPrivate EBookBackendOGoPrivate;

typedef struct {
	EBookBackend            parent_object;
	EBookBackendOGoPrivate *priv;
} EBookBackendOGo;

typedef struct {
	EBookBackendClass parent_class;
} EBookBackendOGoClass;

EBookBackend *e_book_backend_ogo_new      (void);
GType         e_book_backend_ogo_get_type (void);

#endif /* ! __E_BOOK_BACKEND_OGO_H__ */

