/* Copyright (C) 2004 Novell Inc. */
/* This file is licensed under the GNU GPL v2 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

/* We include gi18n-lib.h so that we have strings translated directly for this package */
#include <glib/gi18n-lib.h>
#include <string.h>
#include <stdio.h>

#include <e-util/e-plugin.h>
#include <gtk/gtk.h>
#include "camel-ogo-listener.h"

static CamelOGoListener *config_listener = NULL;

int e_plugin_lib_enable(EPluginLib *ep, int enable);

int
e_plugin_lib_enable(EPluginLib *ep, int enable)
{
	if (enable && !config_listener) {
		config_listener = camel_ogo_listener_new ();	
	} else if (!enable && config_listener) {
		g_object_unref (config_listener);
		config_listener = NULL;
	}
	
	return 0;
}

