/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 *
 * Author:
 *   Alvaro del Castillo (acs@lambdaux.com)
 *
 * Copyright 2004, LambdaUX
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <pthread.h>
#include <string.h>

#include <libedataserver/e-data-server-module.h>
#include "libedata-book/e-book-backend-factory.h"
#include "e-book-backend-ogo.h"

E_BOOK_BACKEND_FACTORY_SIMPLE (ogo, OGo, e_book_backend_ogo_new)

static GType  ogo_type;

void
eds_module_initialize (GTypeModule *module)
{
	ogo_type = _ogo_factory_get_type (module);
}

void
eds_module_shutdown   (void)
{
}

void
eds_module_list_types (const GType **types, int *num_types)
{
	*types = & ogo_type;
	*num_types = 1;
}

