#include <config.h>
#include <libgnome/gnome-init.h>
#include "ogo-connection.h"

int
main (int argc, char *argv[])
{
	gchar *username, *password, *uri, *item_path;
	gchar *contents;
	OGoConnection *connection;
	OGoConnectionStatus status;
	
	gnome_program_init ("test-connect", VERSION,
			    LIBGNOME_MODULE,
			    argc, argv,
			    NULL);

	if (argc != 5) {
		g_print ("Usage: %s username password uri absolute_path\n", argv[0]);
		return -1;
	}

	username = argv[1];
	password = argv[2];
	uri = argv[3];
	item_path = argv[4];
	
	connection = ogo_connection_new (uri, username, password);

	status = ogo_connection_fetch_item_absolute (connection, item_path, &contents);

	g_print ("status: %d contents:\n%s\n", status, contents);
		
	return 0;
}
